<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__capsense__widget__context__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_capsense_widget_context_t</compoundname>
    <includes local="no">cy_capsense_structure.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__capsense__widget__context__t_1aaddfea3cc416d040629708d1723c12f6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_context_t::fingerCap</definition>
        <argsstring />
        <name>fingerCap</name>
        <briefdescription>
<para>Widget finger capacitance parameter used for the CSD widgets only when SmartSense is enabled. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="260" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="260" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a818a66cb212ab10f9e4fb4f25a5b8a14" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_context_t::sigPFC</definition>
        <argsstring />
        <name>sigPFC</name>
        <briefdescription>
<para>The 75% of signal per user-defined finger capacitance. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="262" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="262" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a68e0c56527b8e16513c149bfc5adb623" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_context_t::resolution</definition>
        <argsstring />
        <name>resolution</name>
        <briefdescription>
<para>Provides scan resolution for the CSD Widgets. </para>        </briefdescription>
        <detaileddescription>
<para>Provides number of sub-conversions for the CSX Widgets </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="263" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="263" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a5bacc4b698a7982c3fb687a22b9e3287" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_context_t::maxRawCount</definition>
        <argsstring />
        <name>maxRawCount</name>
        <briefdescription>
<para>Calculated maximum raw count of widget. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="265" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="265" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1ab1730b817a861922f4375527d7a1d3b4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_context_t::fingerTh</definition>
        <argsstring />
        <name>fingerTh</name>
        <briefdescription>
<para>Widget Finger Threshold. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="266" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="266" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1ac28a8ad287f401bde36886e1995ebd5d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_context_t::proxTh</definition>
        <argsstring />
        <name>proxTh</name>
        <briefdescription>
<para>Widget Proximity Threshold. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="267" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="267" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1abcf89959f49d28d2d396d8beaae05710" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_context_t::lowBslnRst</definition>
        <argsstring />
        <name>lowBslnRst</name>
        <briefdescription>
<para>The widget low baseline reset count. </para>        </briefdescription>
        <detaileddescription>
<para>Specifies the number of samples the sensor signal must be below the Negative Noise Threshold <ref kindref="member" refid="structcy__stc__capsense__widget__context__t_1a6498ae887b0e0a6d8a174e79ed5aacf5">nNoiseTh</ref> to trigger a baseline reset </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="268" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="268" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1ac2c184d4476a32763d29fd3c1813d533" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_context_t::snsClk</definition>
        <argsstring />
        <name>snsClk</name>
        <briefdescription>
<para>Sense Clock Divider. </para>        </briefdescription>
        <detaileddescription>
<para>For the Matrix Buttons and Touchpad widgets specifies the column sense clock divider </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="271" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="271" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a2dd4e90d01407e1c2a0ed33f637e3b4f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_context_t::rowSnsClk</definition>
        <argsstring />
        <name>rowSnsClk</name>
        <briefdescription>
<para>Row Sense Clock Divider for the Matrix Buttons and Touchpad widgets. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="273" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="273" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a1abcf6d1b22d6cc09006eb81576f81f6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_context_t::gestureDetected</definition>
        <argsstring />
        <name>gestureDetected</name>
        <briefdescription>
<para>Mask of detected gestures. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="274" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="274" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a1bd21ada41343af3e4102b85ab62edab" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_capsense_widget_context_t::gestureDirection</definition>
        <argsstring />
        <name>gestureDirection</name>
        <briefdescription>
<para>Mask of directions of detected gestures. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="275" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="275" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a723b1a11630c801ad30546fd35cec715" kind="variable" mutable="no" prot="public" static="no">
        <type>int16_t</type>
        <definition>int16_t cy_stc_capsense_widget_context_t::xDelta</definition>
        <argsstring />
        <name>xDelta</name>
        <briefdescription>
<para>The filtered by Ballistic Multiplier X-displacement. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="276" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="276" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a869b23837236045aba13b4fbde082e95" kind="variable" mutable="no" prot="public" static="no">
        <type>int16_t</type>
        <definition>int16_t cy_stc_capsense_widget_context_t::yDelta</definition>
        <argsstring />
        <name>yDelta</name>
        <briefdescription>
<para>The filtered by Ballistic Multiplier Y-displacement. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="277" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="277" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a8bd80c8460e60bc9437e229329ce63fc" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_context_t::noiseTh</definition>
        <argsstring />
        <name>noiseTh</name>
        <briefdescription>
<para>Widget Noise Threshold. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="278" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="278" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a6498ae887b0e0a6d8a174e79ed5aacf5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_context_t::nNoiseTh</definition>
        <argsstring />
        <name>nNoiseTh</name>
        <briefdescription>
<para>Widget Negative Noise Threshold. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="279" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="279" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a6db8e6c147c6b3da087fa96508d8704a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_context_t::hysteresis</definition>
        <argsstring />
        <name>hysteresis</name>
        <briefdescription>
<para>Widget Hysteresis for the signal crossing finger threshold. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="280" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="280" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a594bf2fb432dbeaa9b23545a9ff3d55a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_context_t::onDebounce</definition>
        <argsstring />
        <name>onDebounce</name>
        <briefdescription>
<para>Widget Debounce for the signal above the finger threshold 1 to 255. </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>1 - touch reported immediately as soon as detected</para></listitem><listitem><para>2 - touch reported on the second consecutive detection</para></listitem><listitem><para>3 - touch reported on the third consecutive detection </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="281" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="281" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1ab9a639859b9bb45518c041e37bfca15a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_context_t::snsClkSource</definition>
        <argsstring />
        <name>snsClkSource</name>
        <briefdescription>
<para>Widget clock source: </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>bit[7] - Indicates auto mode of clock source selection</para></listitem><listitem><para>bit[0:6] - Clock source:<itemizedlist>
<listitem><para>0 - Direct (CY_CAPSENSE_CLK_SOURCE_DIRECT)</para></listitem><listitem><para>1 - SSC6 (CY_CAPSENSE_CLK_SOURCE_SSC6)</para></listitem><listitem><para>2 - SSC7 (CY_CAPSENSE_CLK_SOURCE_SSC7)</para></listitem><listitem><para>3 - SSC9 (CY_CAPSENSE_CLK_SOURCE_SSC9)</para></listitem><listitem><para>4 - SSC10 (CY_CAPSENSE_CLK_SOURCE_SSC10)</para></listitem><listitem><para>5 - PRS8 (CY_CAPSENSE_CLK_SOURCE_PRS8)</para></listitem><listitem><para>6 - PRS12 (CY_CAPSENSE_CLK_SOURCE_PRS12) </para></listitem></itemizedlist>
</para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="285" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="285" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1acfd1cb8d218cf32a3d9466fa55a4065a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_context_t::idacMod[CY_CAPSENSE_FREQ_CHANNELS_NUM]</definition>
        <argsstring>[CY_CAPSENSE_FREQ_CHANNELS_NUM]</argsstring>
        <name>idacMod</name>
        <briefdescription>
<para>Sets the current of the modulation IDAC for the CSD widgets. </para>        </briefdescription>
        <detaileddescription>
<para>For the CSD Touchpad and Matrix Button widgets sets the current of the modulation IDAC for the column sensors. Not used for the CSX widgets. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="295" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="295" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1aca335177119844084a40aab5a8e4022e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_context_t::idacGainIndex</definition>
        <argsstring />
        <name>idacGainIndex</name>
        <briefdescription>
<para>Index of IDAC gain in table <ref kindref="compound" refid="structcy__stc__capsense__idac__gain__table__t">cy_stc_capsense_idac_gain_table_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="298" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="298" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a685987ab8fcf308ba48669866de44274" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_context_t::rowIdacMod[CY_CAPSENSE_FREQ_CHANNELS_NUM]</definition>
        <argsstring>[CY_CAPSENSE_FREQ_CHANNELS_NUM]</argsstring>
        <name>rowIdacMod</name>
        <briefdescription>
<para>Sets the current of the modulation IDAC for the row sensors for the CSD Touchpad and Matrix Button widgets. </para>        </briefdescription>
        <detaileddescription>
<para>Not used for the CSX widgets. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="299" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="299" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1abc22672d34d27dc281a8401b7b94544f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_context_t::bslnCoeff</definition>
        <argsstring />
        <name>bslnCoeff</name>
        <briefdescription>
<para>Baseline IIR filter coefficient. </para>        </briefdescription>
        <detaileddescription>
<para>Lower value leads to higher filtering. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="301" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="301" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1ad7b0478d50436b8f1cdb982b5d731a68" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_capsense_widget_context_t::status</definition>
        <argsstring />
        <name>status</name>
        <briefdescription>
<para>Contains masks: </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>bit[0] - Widget Active (CY_CAPSENSE_WD_ACTIVE_MASK)</para></listitem><listitem><para>bit[1] - Widget Disabled (CY_CAPSENSE_WD_DISABLE_MASK)</para></listitem><listitem><para>bit[2] - Widget Working (CY_CAPSENSE_WD_WORKING_MASK) </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="302" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="302" />
      </memberdef>
      <memberdef id="structcy__stc__capsense__widget__context__t_1a8278c09fe62e33e5e460f3064b90e614" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__capsense__touch__t">cy_stc_capsense_touch_t</ref></type>
        <definition>cy_stc_capsense_touch_t cy_stc_capsense_widget_context_t::wdTouch</definition>
        <argsstring />
        <name>wdTouch</name>
        <briefdescription>
<para>Widget touch structure used for Matrix Buttons, Sliders, and Touchpads. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="306" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="306" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Widget context structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="261">
        <label>cy_stc_capsense_position_t</label>
        <link refid="structcy__stc__capsense__position__t" />
      </node>
      <node id="260">
        <label>cy_stc_capsense_touch_t</label>
        <link refid="structcy__stc__capsense__touch__t" />
        <childnode refid="261" relation="usage">
          <edgelabel>ptrPosition</edgelabel>
        </childnode>
      </node>
      <node id="259">
        <label>cy_stc_capsense_widget_context_t</label>
        <link refid="structcy__stc__capsense__widget__context__t" />
        <childnode refid="260" relation="usage">
          <edgelabel>wdTouch</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="320" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="258" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="259" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1abc22672d34d27dc281a8401b7b94544f" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>bslnCoeff</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1aaddfea3cc416d040629708d1723c12f6" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>fingerCap</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1ab1730b817a861922f4375527d7a1d3b4" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>fingerTh</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a1abcf6d1b22d6cc09006eb81576f81f6" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>gestureDetected</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a1bd21ada41343af3e4102b85ab62edab" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>gestureDirection</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a6db8e6c147c6b3da087fa96508d8704a" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>hysteresis</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1aca335177119844084a40aab5a8e4022e" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>idacGainIndex</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1acfd1cb8d218cf32a3d9466fa55a4065a" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>idacMod</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1abcf89959f49d28d2d396d8beaae05710" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>lowBslnRst</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a5bacc4b698a7982c3fb687a22b9e3287" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>maxRawCount</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a6498ae887b0e0a6d8a174e79ed5aacf5" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>nNoiseTh</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a8bd80c8460e60bc9437e229329ce63fc" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>noiseTh</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a594bf2fb432dbeaa9b23545a9ff3d55a" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>onDebounce</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1ac28a8ad287f401bde36886e1995ebd5d" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>proxTh</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a68e0c56527b8e16513c149bfc5adb623" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>resolution</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a685987ab8fcf308ba48669866de44274" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>rowIdacMod</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a2dd4e90d01407e1c2a0ed33f637e3b4f" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>rowSnsClk</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a818a66cb212ab10f9e4fb4f25a5b8a14" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>sigPFC</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1ac2c184d4476a32763d29fd3c1813d533" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>snsClk</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1ab9a639859b9bb45518c041e37bfca15a" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>snsClkSource</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1ad7b0478d50436b8f1cdb982b5d731a68" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>status</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a8278c09fe62e33e5e460f3064b90e614" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>wdTouch</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a723b1a11630c801ad30546fd35cec715" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>xDelta</name></member>
      <member prot="public" refid="structcy__stc__capsense__widget__context__t_1a869b23837236045aba13b4fbde082e95" virt="non-virtual"><scope>cy_stc_capsense_widget_context_t</scope><name>yDelta</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>